Subject: bug#78909: [PATCH] Add 'forward-delete-char-hungry' command

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Jul 2025 12:03:46 +0300

> From: Elijah Gabe Pérez <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 01 Jul 2025 21:37:53 -0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I had originally intended to add a kind of `hungry-delete-mode`, because
> >> sometimes this type of deletion is useful (e.g. for some programming
> >> modes).
> >> 
> >> While `cc-mode` already have it, it's only "exclusive" for `cc-mode`
> >> modes.
> >> 
> >> This new command was more of a kind of `c-hungry-delete-forward` than a
> >> `backward-delete-char-untabify`.
> >> 
> >> I wasn't sure if it would be worth moving those cc-mode commands for
> >> general use, or make/move the `hungry` feature from
> >> `backward-delete-char-untabify` to be used generally.
> >
> > In addition to C Mode's hungry-delete, we also have M-\ and M-SPC,
> > which are available globally.  Are they not enough?
> 
> M-\ and M-SPC are fine, of course, but I think it would be fine to have
> other commands that combine both behaviors: delete whitespaces if there
> are, otherwise delete the character forward/backward, a DWIM style.
> 
> > if not, can you explain what's missing in those commands?
> 
> Actually nothing, I'm proposing 2 DWIM-type commands (or a minor mode)
> for this hungry-like deletion, similar to c-hungry commands.

But that's my point: M-\ and M-SPC do the hungry-delete thing already.
So why do we need a new command?